//===================================================================*/
/* イベント
//===================================================================*/
//　F2 表示
$(document).on("click", ".popafm90xFunc2:not('.noevent')", function (e) {
  $('#popafm90xSearch').trigger('click');
});
//　F5 クリア
$(document).on("click", ".popafm90xFunc5:not('.noevent')", function (e) {
  afm90x.initial();
});
//　F9 決定
$(document).on("click", ".popafm90xFunc9:not('.noevent')", function (e) {
  $("#popafm90xSelect").trigger("click");
});
//　F12 メニュー/戻る
$(document).on("click", ".popafm90xFunc12:not('.noevent')", function (e) {
  $('#popafm90xClose').trigger('popClose');
});

$(document).on("focus", "#afm90xDummy", function(e) {
  $(".popafm90xFunc2").focus();
});

function dspPopupAfm90x($me) {  //表示
  if ($me.attr("readonly") == "readonly" || $me.attr("readonly") == true) {
    return true
  }

  var grp = $me.closest(".scls90Grp");
  var popScls90 = grp.find(".popScls90")[0];

  var $cls90 = $(popScls90).data("cls90");
  if(!stringUtil.isValid($cls90)) {
    alert("clsの指定がありません。");
    return true;
  }

  var $kbn90 = $(popScls90).data("kbn90");

  $("#afm90xCls").val($cls90);
  $("#afm90xKbn").val($kbn90);

  if ($kbn90 == "2" || $kbn90 == "3") {
    var scls1 = grp.find(".scls1")[0];
    $("#afm90xScls1").val(common.getValue($(scls1)));
  }
  if ($kbn90 == "3") {
    var scls2 = grp.find(".scls2")[0];
    $("#afm90xScls2").val(common.getValue($(scls2)));
  }
  common.setValue($("#afm90xOrgTitle"), common.getValue($("#topPrgTitle")));

  popup.openPopup("afm90x", $(grp));

  //↓↓↓↓↓クラスによって違う処理
  if($cls90 == '7') {
    $("#afm90xBrandGrp").show();
    common.setValue($("#topPrgTitle"),"ブランド検索");
  } else {
    common.setValue($("#topPrgTitle"),"雑マスタ検索");
  }
  if($cls90 == '7') {
    $(".popafm90xFunc2").val("表示(F2)");
    $(".popafm90xFunc2").removeClass("noevent");
  }
  //↑↑↑↑↑クラスによって違う処理

  var id = common.getId( $(popScls90) );
  $("#afm90xCd").data("popObjId", id);

  afm90x.initial();

  common.setDetailHeight($("#afm90xDetail"));

  //$("#popafm90xSearch").trigger("click");
}

$(document).on("click", ".cmdScls1", function (e) {
  dspPopupAfm90x($(this));
});
$(document).on("keyup", ".popScls90", function (e) {
  if (e.keyCode == 40) {
    dspPopupAfm90x($(this));
  }
});

$(document).on("click", "#popafm90xSearch", function (e) {
  var me = this;
  // 読込

  afm90x.deldetail();  //明細削除

  var sendData = {};
  sendData["popmode"] = "afm90x";
  sendData['cls'] = $("#afm90xCls").val();
  sendData['scls1'] = $("#afm90xScls1").val();
  sendData['scls2'] = $("#afm90xScls2").val();

  //↓↓↓↓↓クラスによって違う処理
  if($("#afm90xCls").val() == '7') {
    sendData['nm'] = $("#afm90xBrandnm").val();
  }
  //↑↑↑↑↑クラスによって違う処理

  setComplianceData("search", sendData);

  var me = $(this);
  common.postData(
    common.getApiUrl() + "getPopupSearch.php"
    , sendData
    , function (data, options) { $(me).trigger("regSuccess", data); }
    , function (error, options) { $(me).trigger("regError", error); }
  );

});

$(document).on("regSuccess", "#popafm90xSearch", function (e, data) {
  var list = JSON.parse(data)

  if (!(list != null)) {
    return false;
  }

  $("#afm90xDetail .detail").remove();
  var el = "";
  for (var i = 0; i < list.length; i++) {
    el += afm90x.appendRow(list[i]);
  }
  $("#afm90xDetail").append(el);

  common.setDetailHeight($("#afm90xDetail"));

  $("#afm90xDetail .detail").first().find("a").focus();
});

$(document).on("regError", "#popafm90xSearch", function (e, data) {
  alert(data.msg);
});

$(document).on("dblclick", "#afm90xDetail .selectRow", function (e) {
  hideToolTip();
  $("#popafm90xSelect").trigger("click");
});

$(document).on("click", "#popafm90xSelect", function (e) {
  if (e.bubbles == false) {
    return false;
  }

  var sel = $("#afm90xDetail .selectRow");
  var selScls90 = $("#afm90xDetail .selectRow .cd").text();

  var grp = popup.closePopup("afm90x");
  var scls90 = grp.find(".scls90")[0];

  common.setValue(grp.find(".scls1"), common.getValue($(sel).find(".scls1")));
  //値をセット
  common.setValue(grp.find(".scls1"), common.getValue($(sel).find(".scls1")));
  if ($("#afm90xKbn").val() == "2" || $("#afm90xKbn").val() == "3") {
    common.setValue(grp.find(".scls2"), common.getValue($(sel).find(".scls2")));
  }
  if ($("#afm90xKbn").val() == "3") {
    common.setValue(grp.find(".scls3"), common.getValue($(sel).find(".scls3")));
  }
  common.setValue(grp.find(".scls90nm"), common.getValue($(sel).find(".nm")));
  common.setValue(grp.find(".scls90nm2"), common.getValue($(sel).find(".nm2")));

//  $(scls90).change();
  $(scls90).focus();
  afm90x.initial();

  common.setValue($("#topPrgTitle"), common.getValue($("#afm90xOrgTitle")));
  $("#afm90xBrandGrp").hide();
  $(".popafm90xFunc2").val("-");
  $(".popafm90xFunc2").addClass("noevent");

  $(scls90).trigger("afterSelectAfm90x");
});

$("#popafm90xClose").on("popClose", function (e) {
  if (e.bubbles == false) {
    return false;
  }

  var grp = popup.closePopup("afm90x");
  var scls90 = $( grp.find(".scls90")[0]);
  scls90.focus();

  common.setValue($("#topPrgTitle"), common.getValue($("#afm90xOrgTitle")));
  $("#afm90xBrandGrp").hide();
  $(".popafm90xFunc2").val("-");
  $(".popafm90xFunc2").addClass("noevent");

  afm90x.initial();

  //afm90x.close();
});

$(document).on("keydown", "#afm90xDetail .selectRow", function (e) {
  if (e.keyCode == 32) {
    $("#popafm90xSelect").trigger("click");
    return false;
  }
});

var afm90x = {
  close: function () {
    this.initial();
    popup.closePopup("afm90x");
  },

  appendRow: function (d) {
    var n = stringUtil.nvl;
    var row =
      ' <div class="col wp-100 detail"> ' +
      '   <hr> ' +
      '   <div class="col wp-100"> ' +
      '     <a href="#" class="line"> </a> ' +
      '     <div class="item wd-SS inputReadOnly scls1">' + n(d.scls1) + '</div>';
      if ($("#afm90xKbn").val() == "2" || $("#afm90xKbn").val() == "3") {
        row = row + '     <div class="item wd-SS inputReadOnly scls2">' + n(d.scls2) + '</div>';
      }
      if ($("#afm90xKbn").val() == "3") {
        row = row +'     <div class="item wd-SS inputReadOnly scls3">' + n(d.scls3) + '</div>';
      }
      row = row + '     <div class="item wd-LL inputReadOnly ">' + n(d.nm) + '</div>';
      if ($("#afm90xCls").val() == "7") {
        row = row +'     <div class="item wd-LL inputReadOnly ">' + n(d.nm2) + '</div>';
      }
      row = row + '   </div> ' +
      '      <input type="hidden" class="nm" value="' + n(d.nm) + '"/>' +
      '      <input type="hidden" class="nm2" value="' + n(d.nm2) + '"/>' +
      ' </div> ';

    return row;
  },

  deldetail: function () {
    var el = document.getElementById("afm90xDetail");
    var n = el.cloneNode(false);
    el.parentNode.replaceChild(n, el);
  },

  initial: function () {
    var main = $(".afm90x").find(".header_popafm90x");
    common.clearInputData(main);
    common.clearAllError();

    var el = document.getElementById("afm90xDetail");
    var n = el.cloneNode(false);
    el.parentNode.replaceChild(n, el);


  },
}
